DELIMITER mysolus$$
	CREATE  OR REPLACE  FUNCTION  Get_Recency_Band (vRecency SMALLINT ) RETURNS tinyint(4) BEGIN     DECLARE vRecency_Band_Ret TINYINT  DEFAULT -1;      DECLARE CONTINUE HANDLER FOR SQLEXCEPTION RETURN -1;            CASE      WHEN vRecency <= 90 THEN SET vRecency_Band_Ret = 1;     WHEN vRecency BETWEEN 91 AND 180 THEN SET vRecency_Band_Ret = 2;     WHEN vRecency BETWEEN 181 AND 365 THEN SET vRecency_Band_Ret = 3;      WHEN vRecency BETWEEN 366 AND 730 THEN SET vRecency_Band_Ret = 4;          WHEN vRecency > 730 THEN SET vRecency_Band_Ret = 5;         ELSE SET vRecency_Band_Ret = -1;   END CASE;        RETURN vRecency_Band_Ret; END			
mysolus$$
